Package org.postgresql.jdbc

# Class PgStatement.StatementResultHandler

java.lang.Object
org.postgresql.core.ResultHandlerBase
org.postgresql.jdbc.PgStatement.StatementResultHandler

All Implemented Interfaces:
  `ResultHandler`

Enclosing class:
  PgStatement

public class PgStatement.StatementResultHandler extends ResultHandlerBase
ResultHandler implementations for updates, queries, and either-or.

## Constructor Summary

Constructors
Constructor
Description
`StatementResultHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCommandStatus(String status, long updateCount, long insertOID)`
Called when a query that did not return a resultset completes.
`void`
`handleResultRows(Query fromQuery, Field[] fields, List<Tuple> tuples, @Nullable ResultCursor cursor)`
Called when result rows are received from a query.
`void`
`handleWarning(SQLWarning warning)`
Called when a warning is emitted.

### Methods inherited from class org.postgresql.core.ResultHandlerBase

`getException, getWarning, handleCompletion, handleError, secureProgress`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatementResultHandler

public StatementResultHandler()

## Method Details

### handleResultRows

public void handleResultRows(Query fromQuery, Field[] fields, List<Tuple> tuples, @Nullable ResultCursor cursor)
Description copied from interface: `ResultHandler`
Called when result rows are received from a query.

Specified by:
  `handleResultRows` in interface `ResultHandler`
Overrides:
  `handleResultRows` in class `ResultHandlerBase`
Parameters:
  `fromQuery` - the underlying query that generated these results; this may not be very specific (e.g. it may be a query that includes multiple statements).
  `fields` - column metadata for the resultset; might be `null` if Query.QUERY_NO_METADATA was specified.
  `tuples` - the actual data
  `cursor` - a cursor to use to fetch additional data; `null` if no further results are present.

### handleCommandStatus

public void handleCommandStatus(String status, long updateCount, long insertOID)
Description copied from interface: `ResultHandler`
Called when a query that did not return a resultset completes.

Specified by:
  `handleCommandStatus` in interface `ResultHandler`
Overrides:
  `handleCommandStatus` in class `ResultHandlerBase`
Parameters:
  `status` - the command status string (e.g. "SELECT") returned by the backend
  `updateCount` - the number of rows affected by an INSERT, UPDATE, DELETE, FETCH, or MOVE command; -1 if not available.
  `insertOID` - for a single-row INSERT query, the OID of the newly inserted row; 0 if not available.

### handleWarning

public void handleWarning(SQLWarning warning)
Description copied from interface: `ResultHandler`
Called when a warning is emitted.

Specified by:
  `handleWarning` in interface `ResultHandler`
Overrides:
  `handleWarning` in class `ResultHandlerBase`
Parameters:
  `warning` - the warning that occurred.